detekt-api
1.21.0-RC2

# DefaultContext

open class DefaultContext : Context
Content copied to clipboard

Default Context implementation.

## Constructors

DefaultContext
Link copied to clipboard
fun DefaultContext ()
Content copied to clipboard

## Functions

clearFindings
Link copied to clipboard
override fun clearFindings ()
Content copied to clipboard

Clears previous findings. Normally this is done on every new KtFile analyzed and should be called by clients.

report
Link copied to clipboard
open fun report ( findings: List < Finding >, aliases: Set < String > = emptySet(), ruleSetId: RuleSetId ? = null)
Content copied to clipboard

Same as report but reports a list of findings.

open override fun report ( finding: Finding , aliases: Set < String >, ruleSetId: RuleSetId ?)
Content copied to clipboard

Reports a single code smell finding.

## Properties

findings
Link copied to clipboard
open override val findings : List < Finding >
Content copied to clipboard

Returns a copy of violations for this rule.